Package org.apache.sling.feature.cpconverter.filtering

## Class RegexBasedResourceFilter

- java.lang.Object
- - org.apache.sling.feature.cpconverter.filtering.RegexBasedResourceFilter

All Implemented Interfaces:
  `ResourceFilter`

    public final class RegexBasedResourceFilter
    extends Object
    implements ResourceFilter

### Constructor Summary

Constructors
`RegexBasedResourceFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFilteringPattern​(@NotNull String filteringPattern)`
`boolean` `isFilteredOut​(@NotNull String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegexBasedResourceFilter

    public RegexBasedResourceFilter()

### Method Detail

#### addFilteringPattern

    public void addFilteringPattern​(@NotNull
                                    @NotNull String filteringPattern)

#### isFilteredOut

    public boolean isFilteredOut​(@NotNull
                                 @NotNull String path)

Specified by:
  `isFilteredOut` in interface `ResourceFilter`